resource "huaweicloud_servicestage_component" "component" {
  name           = var.comp_name
  runtime        = "Docker"
  application_id = var.app_id
  type           = "Webapp"
}

resource "huaweicloud_servicestage_component_instance" "component_instance" {
  artifact {
    name      = var.comp_name
    storage   = "swr"
    type      = "image"
    url       = var.artifact_url
    auth_type = "iam"
  }
  component_id   = huaweicloud_servicestage_component.component.id
  environment_id = var.env_id
  application_id = var.app_id
  replica        = "1"
  name           = var.comp_name
  flavor_id      = "CUSTOM-1G:100m-100m:0.2Gi-0.2Gi"
  refer_resource {
    id         = var.cce_id
    type       = "cce"
    parameters = {
      type      = "VirtualMachine"
      namespace = "default"
    }
  }
  version = "1.0.0"
}